$ErrorActionPreference = 'Stop';

$packageName = 'teamviewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.teamviewer.com/download/version_12x/TeamViewer_Setup.exe'
$url64      = 'https://download.teamviewer.com/download/version_12x/TeamViewer_Setup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'teamviewer*'

  checksum      = 'b348e0701262f54dcb6fa7111973cde6940102e27691600977a124231ff38e92'
  checksumType  = 'sha256'
  checksum64    = 'b348e0701262f54dcb6fa7111973cde6940102e27691600977a124231ff38e92'
  checksumType64= 'sha256'

  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
